package flag

import "flag"

var StompUrl, BoardGenUrl, CpuProfile *string
var Port *int

func ParseFlags() {
	Port = flag.Int("port", 8080, "The port of the battlecamp-go-server")
	BoardGenUrl = flag.String("boardGen", "localhost:8081", "The url for the board region generator")
	StompUrl = flag.String("stompUrl", "localhost:61613", "The url for active mq stomp")
	CpuProfile = flag.String("cpuprofile", "", "write cpu profile to file")
	flag.Parse()
}
